Bug 207644 - Forces the default USE_GITHUB distfile's suffix.
Summary: Forces the default USE_GITHUB distfile's suffix.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-02 14:54 UTC by Mathieu Arnold
Modified: 2016-03-08 13:10 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
github-default-distfile.diff (49.41 KB, patch)
2016-03-02 14:54 UTC, Mathieu Arnold
no flags Details | Diff
github-default-distfile.diff (49.41 KB, patch)
2016-03-07 10:48 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-03-02 14:54:28 UTC
Created attachment 167635 [details]
github-default-distfile.diff

This forces the default distfile from USE_GITHUB things to have a .tar.gz extension.
Comment 1 Antoine Brodin freebsd_committer 2016-03-07 08:56:26 UTC
I have a reject on multimedia/libass/distinfo
Comment 2 Mathieu Arnold freebsd_committer 2016-03-07 10:48:58 UTC
Created attachment 167796 [details]
github-default-distfile.diff
Comment 3 Antoine Brodin freebsd_committer 2016-03-08 12:45:19 UTC
There seems to be 1 new failure:

+ {"origin"=>"lang/yorick", "pkgname"=>"yorick-2.2.04_1", "phase"=>"patch", "errortype"=>"patch"}

Failure log:

http://package18.nyi.freebsd.org/data/103i386-default-PR207644/2016-03-07_11h19m58s/logs/errors/yorick-2.2.04_1.log

You will have a conflict on editors/vim/distinfo on update too.
Comment 4 Mathieu Arnold freebsd_committer 2016-03-08 13:03:48 UTC
Ah, yes, I should have disabled the distcache while doing my tests, fixed.
Comment 5 commit-hook freebsd_committer 2016-03-08 13:10:14 UTC
A commit references this bug:

Author: mat
Date: Tue Mar  8 13:09:22 UTC 2016
New revision: 410613
URL: https://svnweb.freebsd.org/changeset/ports/410613

Log:
  Always set the DEFAULT github DISTFILE with .tar.gz for EXTRACT_SUFX.

  Fix distinfo for the offending ports.

  lang/yorick's tag was moved, and the added patch was no longer needed.

  PR:			207644
  Submitted by:		mat
  Exp-run by by:		antoine
  Sponsored by:		Absolight
  Differential Revision:	https://reviews.freebsd.org/D4268

Changes:
  head/Mk/bsd.sites.mk
  head/archivers/snappy-java/Makefile
  head/archivers/snappy-java/distinfo
  head/biology/fastx-toolkit/distinfo
  head/chinese/libchewing/distinfo
  head/converters/osm2pgsql/distinfo
  head/databases/dalmp/distinfo
  head/databases/postgresql-plruby/distinfo
  head/deskutils/fbreader/distinfo
  head/deskutils/gnome-shell-extension-audio-output-switcher/distinfo
  head/deskutils/gnome-shell-extension-coverflow/distinfo
  head/deskutils/gnome-shell-extension-dashtodock/distinfo
  head/deskutils/gnome-shell-extension-filesmenu/distinfo
  head/deskutils/gnome-shell-extension-hidetopbar/distinfo
  head/deskutils/gnome-shell-extension-lockkeys/distinfo
  head/deskutils/gnome-shell-extension-mediaplayer/distinfo
  head/deskutils/gnome-shell-extension-openweather/distinfo
  head/deskutils/gnome-shell-extension-overlay-icons/distinfo
  head/deskutils/gnome-shell-extension-panel-osd/distinfo
  head/deskutils/gnome-shell-extension-trash/distinfo
  head/deskutils/gnome-shell-extension-weather/distinfo
  head/devel/bullet/distinfo
  head/devel/gitflow/distinfo
  head/devel/liballium/distinfo
  head/devel/libtpl/distinfo
  head/devel/php-Psr_Log/distinfo
  head/devel/php-jq/distinfo
  head/devel/php-maxminddb/distinfo
  head/devel/php-uprofiler/distinfo
  head/devel/protobuf/distinfo
  head/devel/py-protobuf/distinfo
  head/devel/qross/distinfo
  head/devel/svn2git/distinfo
  head/editors/fileobj/distinfo
  head/editors/vim/distinfo
  head/emulators/dolphin-emu/distinfo
  head/games/2048-qt/distinfo
  head/games/tbe/distinfo
  head/games/unknown-horizons/distinfo
  head/graphics/pqiv/distinfo
  head/graphics/ttygif/distinfo
  head/japanese/mozc-server/Makefile
  head/japanese/mozc-server/distinfo
  head/lang/bf2c/distinfo
  head/lang/gambit-c/distinfo
  head/lang/yorick/distinfo
  head/lang/yorick/files/
  head/mail/archiveopteryx-devel/distinfo
  head/mail/imapsync/distinfo
  head/mail/roundcube-thunderbird_labels/distinfo
  head/mail/rspamd-devel/distinfo
  head/misc/cinnamon-translations/distinfo
  head/misc/vifm/distinfo
  head/multimedia/libass/distinfo
  head/multimedia/libvpx/distinfo
  head/multimedia/pymp/distinfo
  head/net/exabgp/distinfo
  head/net/exaddos/distinfo
  head/net/mrouted/distinfo
  head/net/pimd/distinfo
  head/net/rabbitmq-c-devel/distinfo
  head/net/smcroute/distinfo
  head/net/xorp/distinfo
  head/net-im/teamwords/distinfo
  head/net-p2p/qbittorrent/distinfo
  head/polish/libgadu/distinfo
  head/ports-mgmt/portupgrade/Makefile
  head/ports-mgmt/portupgrade/distinfo
  head/security/obfsclient/distinfo
  head/sysutils/cinnamon-settings-daemon/distinfo
  head/sysutils/life-preserver/distinfo
  head/sysutils/pbi-manager/distinfo
  head/sysutils/pcbsd-appweb/distinfo
  head/sysutils/pcbsd-libsh/distinfo
  head/sysutils/pcbsd-syscache/distinfo
  head/sysutils/pcbsd-utils/distinfo
  head/sysutils/pcbsd-utils-qt5/distinfo
  head/sysutils/warden/distinfo
  head/textproc/pecl-ctemplate/distinfo
  head/textproc/php-mecab/distinfo
  head/www/bareos-webui/distinfo
  head/www/codeigniter/distinfo
  head/www/xsp/distinfo
  head/x11/cinnamon-desktop/distinfo
  head/x11/cinnamon-menus/distinfo
  head/x11/cinnamon-screensaver/distinfo
  head/x11/cinnamon-session/distinfo
  head/x11/lumina-i18n/distinfo
  head/x11-toolkits/termit/distinfo